Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class MethodHandleFactory

    java.lang.Object
      org.codehaus.groovy.reflection.MethodHandleFactory

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class MethodHandleFactory
    extends Object

Method Summary
`static void` | `genInvokeXxxWithArray(org.objectweb.asm.ClassWriter cw, Method method)`
`static void` | `genLoadParameters(int argumentIndex, org.objectweb.asm.MethodVisitor mv, BytecodeHelper helper, Method method)`
`static void` | `genLoadParametersDirect(int argumentIndex, org.objectweb.asm.MethodVisitor mv, BytecodeHelper helper, Method method)`
`static void` | `genLoadParametersPrimitiveDirect(int argumentIndex, org.objectweb.asm.MethodVisitor mv, BytecodeHelper helper, Method method)`
`static MethodHandle` | `unreflect(Method method)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### genInvokeXxxWithArray

    public static void genInvokeXxxWithArray(org.objectweb.asm.ClassWriter cw, Method method)

### genLoadParameters

    public static void genLoadParameters(int argumentIndex, org.objectweb.asm.MethodVisitor mv, BytecodeHelper helper, Method method)

### genLoadParametersDirect

    public static void genLoadParametersDirect(int argumentIndex, org.objectweb.asm.MethodVisitor mv, BytecodeHelper helper, Method method)

### genLoadParametersPrimitiveDirect

    public static void genLoadParametersPrimitiveDirect(int argumentIndex, org.objectweb.asm.MethodVisitor mv, BytecodeHelper helper, Method method)

### unreflect

    public static MethodHandle unreflect(Method method)

Copyright © 2003-2010 The Codehaus. All rights reserved.